JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes
NetworkServiceDiscovery Struct Reference
juce_events » interprocess

Contains classes that implement a simple protocol for broadcasting the availability and location of a discoverable service on the local network, and for maintaining a list of known services. More...

`#include <juce_NetworkServiceDiscovery.h>`

## Classes
struct | Advertiser
| An object which runs a thread to repeatedly broadcast the existence of a discoverable service. More...
struct | AvailableServiceList
| Watches the network for broadcasts from Advertiser objects, and keeps a list of all the currently active instances. More...
struct | Service
| Contains information about a service that has been found on the network. More...

## Detailed Description

Contains classes that implement a simple protocol for broadcasting the availability and location of a discoverable service on the local network, and for maintaining a list of known services.

The documentation for this struct was generated from the following file:

- juce_NetworkServiceDiscovery.h